# gcp::ReactionOperator Class Reference

Class for '+' signs in chemical reaction equations. More...

`#include <gcp/reaction-operator.h>`

Inheritance diagram for gcp::ReactionOperator:

List of all members.

## Public Member Functions

| ReactionOperator ()
virtual | ~ReactionOperator ()
virtual void | Add (GtkWidget *w) const
virtual void | Update (GtkWidget *w) const
virtual void | Move (double x, double y, double z=0)
virtual void | SetSelected (GtkWidget *w, int state)
void | SetCoords (double x, double y)
bool | GetCoords (double *x, double *y) const
virtual double | GetYAlign ()

## Detailed Description

Class for '+' signs in chemical reaction equations.

Objects of this class are added when useful by the framework. There is no need to create them manually.

Definition at line 39 of file reaction-operator.h.

## Constructor & Destructor Documentation

gcp::ReactionOperator::ReactionOperator | ( |  | ) |

The constructor. Adds a '+' sign in the chemical equation.

virtual gcp::ReactionOperator::~ReactionOperator | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

virtual void gcp::ReactionOperator::Add | ( | GtkWidget * | w | ) | const`[virtual]`

Parameters:

  | w | the GtkWidget inside which the operator will be displayed.

Used to add a representation of the operator in the widget.

Reimplemented from gcu::Object.

virtual void gcp::ReactionOperator::Update | ( | GtkWidget * | w | ) | const`[virtual]`

Parameters:

  | w | the GtkWidget inside which the operator is displayed.

Used to update the representation of the operator in the widget.

Reimplemented from gcu::Object.

virtual void gcp::ReactionOperator::Move | ( | double | x,
|  | double | y,
|  | double | z = `0` |
| ) |  |  | `[virtual]`

Parameters:

  | x | the x component of the transation vector.
  | y | the y component of the transation vector.
  | z | the z component of the transation vector (unused).

Moves the reaction operator.

Reimplemented from gcu::Object.

virtual void gcp::ReactionOperator::SetSelected | ( | GtkWidget * | w,
|  | int | state |
| ) |  |  | `[virtual]`

Parameters:

  | w,: | the GtkWidget inside which the operator is displayed.
  | state,: | the selection state of the operator.

Used to set the selection state of the operator inside the widget. The values of state might be gcp::SelStateUnselected, gcp::SelStateSelected, gcp::SelStateUpdating, or gcp::SelStateErasing. Children will be selected too.

Reimplemented from gcu::Object.

void gcp::ReactionOperator::SetCoords | ( | double | x,
|  | double | y |
| ) |  |  |

Parameters:

  | x | the new x coordinate of the operator.
  | y | the new y coordinate of the operator.

Sets the coordinates of the operator. The values are understood horizontally as left side and vertically as base line.

bool gcp::ReactionOperator::GetCoords | ( | double * | x,
|  | double * | y |
| ) |  |  | const

Parameters:

  | x | where to store the x coordinate of the operator.
  | y | where to store the y coordinate of the operator.

Retrieves the current coordinates of the operator.

virtual double gcp::ReactionOperator::GetYAlign | ( |  | ) | `[virtual]`

Used to retrieve the y coordinate for alignment.

Returns:
  y coordinate used for reaction operators alignment.

Reimplemented from gcu::Object.

The documentation for this class was generated from the following file:

- reaction-operator.h